// GraficoView.cpp : implementation file
//

#include "stdafx.h"
#include "Programa.h"
#include "ProgramaDoc.h"
#include "GraficoView.h"
#include "Posicion.h"
#include "CargarTocho.h"
#include "CargarTochoFresa.h"
#include  <math.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/*#ifdef _DEBUG
CProgramaDoc* CGraficoView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CProgramaDoc)));
	return (CProgramaDoc*)m_pDocument;
}
#endif
*/
/////////////////////////////////////////////////////////////////////////////
// CGraficoView

IMPLEMENT_DYNCREATE(CGraficoView, CScrollView)

CGraficoView::CGraficoView()
{
	inicio=0;
}

CGraficoView::~CGraficoView()
{
}


BEGIN_MESSAGE_MAP(CGraficoView, CScrollView)
	//{{AFX_MSG_MAP(CGraficoView)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGraficoView drawing

void CGraficoView::OnInitialUpdate()
{
	CScrollView::OnInitialUpdate();

	CSize sizeTotal;
	// TODO: calculate the total size of this view
	sizeTotal.cx = sizeTotal.cy = 1000;
	SetScrollSizes(MM_LOMETRIC, sizeTotal);
}

void CGraficoView::OnDraw(CDC* pDC)
{
	CProgramaDoc* pDoc = GetDocument();

	CRect rectClient;
	GetClientRect(rectClient);

/*	 switch (pDoc->unidades)
	{
		case 0:
			pDC->SetMapMode(MM_LOMETRIC);
		break;
		case 1:
			pDC->SetMapMode(MM_LOENGLISH);
		break;
	}*/

	pDC->SetWindowExt(1000, 1000);
	pDC->SetViewportExt(rectClient.right, -rectClient.bottom);

	if (pDoc->torno == 1)
	{
		pDC->SetViewportOrg(rectClient.right / 2, rectClient.bottom / 1.5);

		// 2.1 TITULO
		pDC->TextOut(-50, 1000, "T O R N O");

		// 2.2 COORDENADAS
		lapiz=new CPen(PS_SOLID,0,RGB(35,65,170));
		pincel=new CBrush(RGB(220,230,250));
		pDC->SelectObject(lapiz);
		pDC->SelectObject(pincel);
		pDC->RoundRect(400, 950, 850, 650, 50, 50);
		pDC->TextOut(500, 900, " Coordenadas ");
		pDC->TextOut(500, 800, " X = ");
		pDC->TextOut(500, 750, " Y = ");
		delete (lapiz);
		delete (pincel);
	}

	if (pDoc->torno ==1 && pDoc->cargarTor==0 && pDoc->cuchilla==0)
	{
		pDC->SetViewportOrg(rectClient.right / 2, rectClient.bottom / 1.5);
		// 3.1 MANDRIL
		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nint=new CBrush(RGB(255,170,80));
		nobsc=new CBrush(RGB(255,160,70));

		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aobsc);

		long a, b;
		a =-776;
		b =210-10*4/2+10*4;//valores que se den cambiar segun las verdaderas coordenadas
		POINT MandrillUP[]= {{a+0,b+0},{a+176,b+0},{a+176,b+21},{a+162,b+35},{a+176,b+49},{a+176,b+76},{a+130,b+76},{a+116,b+62},{a+102,b+76},{a+116,b+90},{a+116,b+137},{a+108,b+207},
		{a+68,b+207},{a+54,b+193},{a+40,b+207},{a+54,b+221},{a+54,b+266},{a+46,b+331},{a+0,b+331}};
		pDC->Polygon(MandrillUP,19);

		a =-776;
		b =210-10*4/2-331;
		POINT MandrillDWN[]={{a,b},{a+46,b},{a+54,b+70},{a+54,b+115},{a+40,b+129},{a+54,b+143},{a+68,b+129},{a+108,b+129},{a+108,b+129},{a+108,b+194},{a+116,b+194},
		{a+116,b+241},{a+102,b+255},{a+116,b+269},{a+130,b+255},{a+176,b+255},{a+176,b+282},{a+162,b+296},{a+176,b+310},{a+176,b+331},{a,b+331}};
		pDC->Polygon(MandrillDWN,21);

		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nclaro);
		pDC->Rectangle (-1000, 610, -760, -190);

		// 3.2 CONTRAPUNTO
		a = 360;
		b = 210;
		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aobsc);
		POINT ContraPto[] = {{a,b},{a+200,b+90},{a+230,b+90},{a+230,b-90},{a+200,b-90}};
		pDC->Polygon(ContraPto,5);

		a = 590;
		b = 410;
		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nobsc);
		POINT ContraPto2[] = {{a,b-20},{a+20,b},{a+20,b-400},{a,b-380}};
		pDC->Polygon(ContraPto2,4);

		pDC->SelectObject(nclaro);
		POINT ContraPto3[] = {{a+20,b},{a+330,b},{a+330,b-400},{a+20,b-400}};
		pDC->Polygon(ContraPto3,4);

		pDC->SelectObject(nobsc);
		POINT ContraPto4[] = {{a+330,b},{a+350,b-20},{a+350,b-380},{a+330,b-400}};
		pDC->Polygon(ContraPto4,4);

		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aobsc);
		POINT ContraPto5[] = {{a+350,b-150},{a+400,b-150},{a+400,b-250},{a+350,b-250}};
		pDC->Polygon(ContraPto5,4);

		// 3.3 PORTAHERRAMIENTA
		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nclaro);
		POINT Porta[]={{-40,-150},{240,-150},{250,-160},{250,-660},{240,-670},{-40,-670},{-50,-660},{-50,-160}};
		pDC->Polygon(Porta,8);
		pDC->SelectObject(nint);
		pDC->Ellipse(-10,-210,70,-290);
		pDC->Ellipse(-10,-550,70,-630);
		pDC->SelectObject(nobsc);
		pDC->Ellipse(5,-225,55,-275);
		pDC->Ellipse(5,-565,55,-615);
		pDC->Ellipse(110,-210,210,-310);
		pDC->Ellipse(110,-540,210,-640);
		delete (lapizAzul);
		delete (lapizNar);
		delete (aobsc);
		delete (nclaro);
		delete (nint);
		delete (nobsc);
	}

///	DIBUJO DEL TOCHO, MANDRIL Y CONTRAPUNTO
	if (pDoc->torno==1 && pDoc->cargarTor==1)
	{
		pDC->SetViewportOrg(rectClient.right / 2, rectClient.bottom / 1.5);
		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nint=new CBrush(RGB(255,170,80));
		nobsc=new CBrush(RGB(255,160,70));
		filo=new CPen(PS_SOLID,0,RGB(10,89,42));
		herram=new CBrush(RGB(70,235,135));

		// 4.1 ESCOGE EL MATERIAL
		if (pDoc->material == 0)
		{
			pincel=new CBrush(RGB(145, 145, 145));
			lapiz=new CPen(PS_SOLID,0,RGB(145, 145, 145));
		}
		if ( pDoc->material == 1)
		{
			pincel=new CBrush(RGB(185, 185, 185));
			lapiz=new CPen(PS_SOLID,0,RGB(185, 185, 185));
		}
		if (pDoc->material == 2)
		{
			pincel=new CBrush(RGB(206,177,80));
			lapiz=new CPen(PS_SOLID,0,RGB(206,177,80));
		}
		if (pDoc->material == 3)
		{
			pincel=new CBrush(RGB(205,105,5));
			lapiz=new CPen(PS_SOLID,0,RGB(205,105,5));
		}
		if (pDoc->material == 4)
		{
			pincel=new CBrush(RGB(177, 203, 222));
			lapiz=new CPen(PS_SOLID,0,RGB(177, 203, 222));
		}

		// 4.2 TOCHO F(MATERIAL)
		pDC->SelectObject(pincel);
		pDC->SelectObject(lapiz);
		pDC->Rectangle(-600, 210-10*pDoc->diametro/2, -600+10*pDoc->largo, 210-10*pDoc->diametro/2+10*pDoc->diametro);//Medir las coordenadas reales con el CADTECH
		pDC->Rectangle(-776,210-10*pDoc->diametro/2+10*pDoc->diametro,-600, 210-10*pDoc->diametro/2);
		delete (pincel);
		delete (lapiz);

		// 4.3 MANDRIL F(TOCHO)
		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aobsc);

		long a, b;
		a =-776;
		b =210-10*pDoc->diametro/2+10*pDoc->diametro;//valores que se den cambiar segun las verdaderas coordenadas
		POINT MandrillUP[]= {{a,b},{a+176,b},{a+176,b+21},{a+162,b+35},{a+176,b+49},{a+176,b+76},{a+130,b+76},{a+116,b+62},{a+102,b+76},{a+116,b+90},{a+116,b+137},{a+108,b+207},
		{a+68,b+207},{a+54,b+193},{a+40,b+207},{a+54,b+221},{a+54,b+266},{a+46,b+331},{a+0,b+331}};
		pDC->Polygon(MandrillUP,19);
	
		b =210-10*pDoc->diametro/2-331;
		POINT MandrillDWN[]={{a,b},{a+46,b},{a+54,b+70},{a+54,b+115},{a+40,b+129},{a+54,b+143},{a+68,b+129},{a+108,b+129},{a+108,b+129},{a+108,b+194},{a+116,b+194},
		{a+116,b+241},{a+102,b+255},{a+116,b+269},{a+130,b+255},{a+176,b+255},{a+176,b+282},{a+162,b+296},{a+176,b+310},{a+176,b+331},{a,b+331}};
		pDC->Polygon(MandrillDWN,21);

		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nclaro);
		pDC->Rectangle (-1000, 610, -760, -190);

		// 4.4 CONTRAPUNTO F(TOCHO)
		if (pDoc->largo > 70)
		{
			a = -600+10*pDoc->largo;
			b = 210;
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);
			POINT ContraPto[] = {{a,b},{a+200,b+90},{a+230,b+90},{a+230,b-90},{a+200,b-90}};
			pDC->Polygon(ContraPto,5);

			a = -370+10*pDoc->largo;
			b = 410;
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nobsc);
			POINT ContraPto2[] = {{a,b-20},{a+20,b},{a+20,b-400},{a,b-380}};
			pDC->Polygon(ContraPto2,4);

			pDC->SelectObject(nclaro);
			POINT ContraPto3[] = {{a+20,b},{a+330,b},{a+330,b-400},{a+20,b-400}};
			pDC->Polygon(ContraPto3,4);

			pDC->SelectObject(nobsc);
			POINT ContraPto4[] = {{a+330,b},{a+350,b-20},{a+350,b-380},{a+330,b-400}};
			pDC->Polygon(ContraPto4,4);

			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);
			POINT ContraPto5[] = {{a+350,b-150},{a+400,b-150},{a+400,b-250},{a+350,b-250}};
			pDC->Polygon(ContraPto5,4);
		}
		if (pDoc->largo<=70)
		{
			// 3.2 CONTRAPUNTO
			a = 360;
			b = 210;
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);
			POINT ContraPto[] = {{a,b},{a+200,b+90},{a+230,b+90},{a+230,b-90},{a+200,b-90}};
			pDC->Polygon(ContraPto,5);

			a = 590;
			b = 410;
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nobsc);
			POINT ContraPto2[] = {{a,b-20},{a+20,b},{a+20,b-400},{a,b-380}};
			pDC->Polygon(ContraPto2,4);

			pDC->SelectObject(nclaro);
			POINT ContraPto3[] = {{a+20,b},{a+330,b},{a+330,b-400},{a+20,b-400}};
			pDC->Polygon(ContraPto3,4);

			pDC->SelectObject(nobsc);
			POINT ContraPto4[] = {{a+330,b},{a+350,b-20},{a+350,b-380},{a+330,b-400}};
			pDC->Polygon(ContraPto4,4);

			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);
			POINT ContraPto5[] = {{a+350,b-150},{a+400,b-150},{a+400,b-250},{a+350,b-250}};
			pDC->Polygon(ContraPto5,4);
		}

		if (pDoc->cuchilla==0)
		{
			// 3.3 PORTAHERRAMIENTA
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nclaro);
			POINT Porta[]={{-40,-150},{240,-150},{250,-160},{250,-660},{240,-670},{-40,-670},{-50,-660},{-50,-160}};
			pDC->Polygon(Porta,8);
			pDC->SelectObject(nint);
			pDC->Ellipse(-10,-210,70,-290);
			pDC->Ellipse(-10,-550,70,-630);
			pDC->SelectObject(nobsc);
			pDC->Ellipse(5,-225,55,-275);
			pDC->Ellipse(5,-565,55,-615);
			pDC->Ellipse(110,-210,210,-310);
			pDC->Ellipse(110,-540,210,-640);
		}

		if (pDoc->cuchilla==1)
		{
			// 5.1 CUCHILLA
			long alfa,beta,y,a,H,pi;
			pi=3.1415925654;
			alfa=pDoc->angcNo1;
			beta=pDoc->ang2cNo1;
			y=pDoc->acNo1;
			a=pDoc->ANo1;
			H=pDoc->altcNo1;
			long or1,or2, or2y;
			or1=pDoc->XPos+0;
			or2=pDoc->YPos+0;
			or2y = 420-pDoc->YPos;

			pDC->SelectObject(filo);
			pDC->SelectObject(herram);
			POINT Vert[]={{or1,or2},{or1-a,or2-(tan(alfa*pi/180)*a)},{or1-a,or2-H},{or1+y-a,or2-H},{or1+y-a,or2-(tan(beta*pi/180)*(y-a))}};
			pDC->Polygon (Vert,5);

			// 5.2 PORTAHERRAMIENTA F(CUCHILLA)
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nclaro);
			POINT Porta[]={{or1-a-10,or2-H},{or1-a+270,or2-H},{or1-a+280,or2-H-10},{or1-a+280,or2-H-510},{or1-a+270,or2-H-520},{or1-a-10,or2-H-520},{or1-a-20,or2-H-510},{or1-a-20,or2-H-10}};
			pDC->Polygon(Porta,8);
			pDC->SelectObject(nint);
			pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
			pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
			pDC->SelectObject(nobsc);
			pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
			pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
			pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
			pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);
		}
		delete (lapizAzul);
		delete (lapizNar);
		delete (filo);
		delete (aobsc);
		delete (nclaro);
		delete (nint);
		delete (nobsc);
		delete (herram);
	}

///	DIBUJO DE LA CUCHILLA
	if (pDoc->torno==1 && pDoc->cuchilla==1)
	{
		pDC->SetViewportOrg(rectClient.right / 2, rectClient.bottom / 1.5);

		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nint=new CBrush(RGB(255,170,80));
		nobsc=new CBrush(RGB(255,160,70));
		filo=new CPen(PS_SOLID,0,RGB(10,89,42));
		herram=new CBrush(RGB(70,235,135));

		// 5.1 CUCHILLA
		long alfa,beta,y,a,H,pi;
		pi=3.1415925654;
		alfa=pDoc->angcNo1;
		beta=pDoc->ang2cNo1;
		y=pDoc->acNo1;
		a=pDoc->ANo1;
		H=pDoc->altcNo1;
		long or1,or2, or2y;
		or1=pDoc->XPos+0;
		or2=pDoc->YPos+0;
		or2y = 420-pDoc->YPos;

		pDC->SelectObject(filo);
		pDC->SelectObject(herram);
		POINT Vert[]={{or1,or2},{or1-a,or2-(tan(alfa*pi/180)*a)},{or1-a,or2-H},{or1+y-a,or2-H},{or1+y-a,or2-(tan(beta*pi/180)*(y-a))}};
		pDC->Polygon (Vert,5);

		// 5.2 PORTAHERRAMIENTA F(CUCHILLA)
		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nclaro);
		POINT Porta[]={{or1-a-10,or2-H},{or1-a+270,or2-H},{or1-a+280,or2-H-10},{or1-a+280,or2-H-510},{or1-a+270,or2-H-520},{or1-a-10,or2-H-520},{or1-a-20,or2-H-510},{or1-a-20,or2-H-10}};
		pDC->Polygon(Porta,8);
		pDC->SelectObject(nint);
		pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
		pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
		pDC->SelectObject(nobsc);
		pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
		pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
		pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
		pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);

		if (pDoc->cargarTor==0)
		{
			// 3.1 MANDRIL
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);

			long a, b;
			a =-776;
			b =210-10*4/2+10*4;//valores que se den cambiar segun las verdaderas coordenadas
			POINT MandrillUP[]= {{a+0,b+0},{a+176,b+0},{a+176,b+21},{a+162,b+35},{a+176,b+49},{a+176,b+76},{a+130,b+76},{a+116,b+62},{a+102,b+76},{a+116,b+90},{a+116,b+137},{a+108,b+207},
			{a+68,b+207},{a+54,b+193},{a+40,b+207},{a+54,b+221},{a+54,b+266},{a+46,b+331},{a+0,b+331}};
			pDC->Polygon(MandrillUP,19);

			a =-776;
			b =210-10*4/2-331;
			POINT MandrillDWN[]={{a,b},{a+46,b},{a+54,b+70},{a+54,b+115},{a+40,b+129},{a+54,b+143},{a+68,b+129},{a+108,b+129},{a+108,b+129},{a+108,b+194},{a+116,b+194},
			{a+116,b+241},{a+102,b+255},{a+116,b+269},{a+130,b+255},{a+176,b+255},{a+176,b+282},{a+162,b+296},{a+176,b+310},{a+176,b+331},{a,b+331}};
			pDC->Polygon(MandrillDWN,21);

			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nclaro);
			pDC->Rectangle (-1000, 610, -760, -190);

			// 3.2 CONTRAPUNTO
			a = 360;
			b = 210;
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);
			POINT ContraPto[] = {{a,b},{a+200,b+90},{a+230,b+90},{a+230,b-90},{a+200,b-90}};
			pDC->Polygon(ContraPto,5);

			a = 590;
			b = 410;
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nobsc);
			POINT ContraPto2[] = {{a,b-20},{a+20,b},{a+20,b-400},{a,b-380}};
			pDC->Polygon(ContraPto2,4);

			pDC->SelectObject(nclaro);
			POINT ContraPto3[] = {{a+20,b},{a+330,b},{a+330,b-400},{a+20,b-400}};
			pDC->Polygon(ContraPto3,4);

			pDC->SelectObject(nobsc);
			POINT ContraPto4[] = {{a+330,b},{a+350,b-20},{a+350,b-380},{a+330,b-400}};
			pDC->Polygon(ContraPto4,4);

			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);
			POINT ContraPto5[] = {{a+350,b-150},{a+400,b-150},{a+400,b-250},{a+350,b-250}};
			pDC->Polygon(ContraPto5,4);
		}

		if (pDoc->cargarTor==1)
		{
			// 4.1 ESCOGE EL MATERIAL
			if (pDoc->material == 0)
			{
				pincel=new CBrush(RGB(145, 145, 145));
				lapiz=new CPen(PS_SOLID,0,RGB(145, 145, 145));
			}
			if ( pDoc->material == 1)
			{
				pincel=new CBrush(RGB(185, 185, 185));
				lapiz=new CPen(PS_SOLID,0,RGB(185, 185, 185));
			}
			if (pDoc->material == 2)
			{
				pincel=new CBrush(RGB(206,177,80));
				lapiz=new CPen(PS_SOLID,0,RGB(206,177,80));
			}
			if (pDoc->material == 3)
			{
				pincel=new CBrush(RGB(205,105,5));
				lapiz=new CPen(PS_SOLID,0,RGB(205,105,5));
			}
			if (pDoc->material == 4)
			{
				pincel=new CBrush(RGB(177, 203, 222));
				lapiz=new CPen(PS_SOLID,0,RGB(177, 203, 222));
			}

			// 4.2 TOCHO F(MATERIAL)
			pDC->SelectObject(pincel);
			pDC->SelectObject(lapiz);
			pDC->Rectangle(-600, 210-10*pDoc->diametro/2, -600+10*pDoc->largo, 210-10*pDoc->diametro/2+10*pDoc->diametro);//Medir las coordenadas reales con el CADTECH
			pDC->Rectangle(-776,210-10*pDoc->diametro/2+10*pDoc->diametro,-600, 210-10*pDoc->diametro/2);
			delete (pincel);
			delete (lapiz);

			// 4.3 MANDRIL F(TOCHO)
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aobsc);

			long a, b;
			a =-776;
			b =210-10*pDoc->diametro/2+10*pDoc->diametro;//valores que se den cambiar segun las verdaderas coordenadas
			POINT MandrillUP[]= {{a,b},{a+176,b},{a+176,b+21},{a+162,b+35},{a+176,b+49},{a+176,b+76},{a+130,b+76},{a+116,b+62},{a+102,b+76},{a+116,b+90},{a+116,b+137},{a+108,b+207},
			{a+68,b+207},{a+54,b+193},{a+40,b+207},{a+54,b+221},{a+54,b+266},{a+46,b+331},{a+0,b+331}};
			pDC->Polygon(MandrillUP,19);
		
			b =210-10*pDoc->diametro/2-331;
			POINT MandrillDWN[]={{a,b},{a+46,b},{a+54,b+70},{a+54,b+115},{a+40,b+129},{a+54,b+143},{a+68,b+129},{a+108,b+129},{a+108,b+129},{a+108,b+194},{a+116,b+194},
			{a+116,b+241},{a+102,b+255},{a+116,b+269},{a+130,b+255},{a+176,b+255},{a+176,b+282},{a+162,b+296},{a+176,b+310},{a+176,b+331},{a,b+331}};
			pDC->Polygon(MandrillDWN,21);

			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nclaro);
			pDC->Rectangle (-1000, 610, -760, -190);

			// 4.4 CONTRAPUNTO F(TOCHO)
			if (pDoc->largo > 70)
			{
				a = -600+10*pDoc->largo;
				b = 210;
				pDC->SelectObject(lapizAzul);
				pDC->SelectObject(aobsc);
				POINT ContraPto[] = {{a,b},{a+200,b+90},{a+230,b+90},{a+230,b-90},{a+200,b-90}};
				pDC->Polygon(ContraPto,5);

				a = -370+10*pDoc->largo;
				b = 410;
				pDC->SelectObject(lapizNar);
				pDC->SelectObject(nobsc);
				POINT ContraPto2[] = {{a,b-20},{a+20,b},{a+20,b-400},{a,b-380}};
				pDC->Polygon(ContraPto2,4);

				pDC->SelectObject(nclaro);
				POINT ContraPto3[] = {{a+20,b},{a+330,b},{a+330,b-400},{a+20,b-400}};
				pDC->Polygon(ContraPto3,4);

				pDC->SelectObject(nobsc);
				POINT ContraPto4[] = {{a+330,b},{a+350,b-20},{a+350,b-380},{a+330,b-400}};
				pDC->Polygon(ContraPto4,4);

				pDC->SelectObject(lapizAzul);
				pDC->SelectObject(aobsc);
				POINT ContraPto5[] = {{a+350,b-150},{a+400,b-150},{a+400,b-250},{a+350,b-250}};
				pDC->Polygon(ContraPto5,4);
			}
			if (pDoc->largo<=70)
			{
				// 3.2 CONTRAPUNTO
				a = 360;
				b = 210;
				pDC->SelectObject(lapizAzul);
				pDC->SelectObject(aobsc);
				POINT ContraPto[] = {{a,b},{a+200,b+90},{a+230,b+90},{a+230,b-90},{a+200,b-90}};
				pDC->Polygon(ContraPto,5);

				a = 590;
				b = 410;
				pDC->SelectObject(lapizNar);
				pDC->SelectObject(nobsc);
				POINT ContraPto2[] = {{a,b-20},{a+20,b},{a+20,b-400},{a,b-380}};
				pDC->Polygon(ContraPto2,4);

				pDC->SelectObject(nclaro);
				POINT ContraPto3[] = {{a+20,b},{a+330,b},{a+330,b-400},{a+20,b-400}};
				pDC->Polygon(ContraPto3,4);

				pDC->SelectObject(nobsc);
				POINT ContraPto4[] = {{a+330,b},{a+350,b-20},{a+350,b-380},{a+330,b-400}};
				pDC->Polygon(ContraPto4,4);

				pDC->SelectObject(lapizAzul);
				pDC->SelectObject(aobsc);
				POINT ContraPto5[] = {{a+350,b-150},{a+400,b-150},{a+400,b-250},{a+350,b-250}};
				pDC->Polygon(ContraPto5,4);
			}
		}
		delete (lapizAzul);
		delete (lapizNar);
		delete (filo);
		delete (aobsc);
		delete (nclaro);
		delete (nint);
		delete (nobsc);
		delete (herram);
	}

///	SIMULACIN
	if (pDoc->simular==1 && pDoc->presentar==1 && pDoc->torno==1 && pDoc->cargarTor==1 && pDoc->cuchilla==1)
	{
		pDC->SetViewportOrg(rectClient.right / 2, rectClient.bottom / 1.5);

		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nint=new CBrush(RGB(255,170,80));
		nobsc=new CBrush(RGB(255,160,70));
		lapiz2=new CPen(PS_SOLID,0,RGB(255,255,255));
		borrar=new CBrush(RGB(255,255,255));
		filo=new CPen(PS_SOLID,0,RGB(10,89,42));
		herram=new CBrush(RGB(70,235,135));

		if (pDoc->Inicio==1)
		{
			MessageBox("Bienvenido","Inicio del Programa",MB_OK);
		}
		
//		pDoc->cuchilla=0;
		long p, q;
		long alfa,beta,y,a,H,pi,or1,or2,or2y;

				pi=3.1415925654;
				alfa=pDoc->angcNo1;
				beta=pDoc->ang2cNo1;
				y=pDoc->acNo1;
				a=pDoc->ANo1;	
				H=pDoc->altcNo1;
				or1=p;
				or2y = 420-pDoc->YPos;

		int i, j, k = 10, v, xa;
		v=1000000;
		char charx[10], chary[10];
		
		switch (pDoc->velocidad)
		{
			case 0:
				v=5000000;
			break;
			case 1:
				v=1000000;
			break;
			case 2:
				v=500000;
			break;
		}

		for(i=1; i<pDoc->nl;i++)
		{
			sprintf(charx, "%0.3f",pDoc->x[i]); 
			sprintf(chary, "%0.3f",pDoc->y[i]); 
			pDC->TextOut(600, 800, charx);
			pDC->TextOut(600, 750, chary);

			m = abs(pDoc->y[i]-pDoc->y[i-1]);
			xa = abs(abs(pDoc->x[i]) - abs(pDoc->x[i-1]));
			if (m <= 2 || xa>0.05)
			{
				p = k*pDoc->y[i-1];
				q = -k*pDoc->x[i-1];			
			
				pDC->SelectObject (filo);
				pDC->SelectObject(herram);

				or1=pDoc->XPos+p;
				or2=pDoc->YPos+q;
				or2y = 420-pDoc->YPos-q;
		
				POINT Vert[]={{or1,or2},{or1-a,or2-(tan(alfa*pi/180)*a)},{or1-a,or2-H},{or1+y-a,or2-H},{or1+y-a,or2-(tan(beta*pi/180)*(y-a))}};
				pDC->Polygon (Vert,5);

				pDC->SelectObject(lapizNar);
				pDC->SelectObject(nclaro);
				POINT Porta[]={{or1-a-10,or2-H},{or1-a+270,or2-H},{or1-a+280,or2-H-10},{or1-a+280,or2-H-510},{or1-a+270,or2-H-520},{or1-a-10,or2-H-520},{or1-a-20,or2-H-510},{or1-a-20,or2-H-10}};
				pDC->Polygon(Porta,8);
				pDC->SelectObject(nint);
				pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
				pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
				pDC->SelectObject(nobsc);
				pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
				pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
				pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
				pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);

				for(j=0; j<v; j++);
			
				pDC->SelectObject(lapiz2);
				pDC->SelectObject(borrar);

				POINT VertUP[]={{or1,or2y},{or1+y-a,or2y+(tan(beta*pi/180)*(y-a))},{or1+y-a,or2y+H},{or1-a,or2y+H},{or1-a,or2y+(tan(alfa*pi/180)*a)}};

				pDC->Polygon (Vert,5);
				pDC->Polygon (VertUP, 5);

				p = k*pDoc->y[i];
				q = -k*pDoc->x[i];			

				pDC->SelectObject (filo);
				pDC->SelectObject(herram);
				pDC->Polygon (Vert,5);

				pDC->SelectObject (lapizNar);
				pDC->SelectObject(nclaro);
				pDC->Polygon(Porta,8);
				pDC->SelectObject(nint);
				pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
				pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
				pDC->SelectObject(nobsc);
				pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
				pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
				pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
				pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);

				for(j=0; j<v; j++);
			
				pDC->SelectObject(lapiz2);
				pDC->SelectObject(borrar);

				pDC->Polygon (Vert,5);
				pDC->Polygon(Porta,8);
				pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
				pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
				pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
				pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
				pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
				pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);
				pDC->Polygon (VertUP, 5);

				continue;
			}
		
			if (m>2 && pDoc->y[i] > pDoc->y[i-1])
			{
				r = pDoc->y[i];
				s = pDoc->y[i-1];
				q = -k*pDoc->x[i-1];

				for (n=s; n<r; n++)
				{
					p = k*(n);

					pDC->SelectObject(filo);
					pDC->SelectObject(herram);

					or1=pDoc->XPos+p;
					or2=pDoc->YPos+q;
					or2y = 420-pDoc->YPos-q;
		
					POINT Vert[]={{or1,or2},{or1-a,or2-(tan(alfa*pi/180)*a)},{or1-a,or2-H},{or1+y-a,or2-H},{or1+y-a,or2-(tan(beta*pi/180)*(y-a))}};
					pDC->Polygon (Vert,5);

					pDC->SelectObject(lapizNar);
					pDC->SelectObject(nclaro);
					POINT Porta[]={{or1-a-10,or2-H},{or1-a+270,or2-H},{or1-a+280,or2-H-10},{or1-a+280,or2-H-510},{or1-a+270,or2-H-520},{or1-a-10,or2-H-520},{or1-a-20,or2-H-510},{or1-a-20,or2-H-10}};
					pDC->Polygon(Porta,8);
					pDC->SelectObject(nint);
					pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
					pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
					pDC->SelectObject(nobsc);
					pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
					pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
					pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
					pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);
			
					for(j=0; j<v; j++);
			
					pDC->SelectObject(lapiz2);
					pDC->SelectObject(borrar);
			
					POINT VertUP[]={{or1,or2y},{or1+y-a,or2y+(tan(beta*pi/180)*(y-a))},{or1+y-a,or2y+H},{or1-a,or2y+H},{or1-a,or2y+(tan(alfa*pi/180)*a)}};
					pDC->Polygon (Vert,5);
					pDC->Polygon(Porta,8);
					pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
					pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
					pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
					pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
					pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
					pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);
					pDC->Polygon (VertUP,5);

				}
			continue;
			}

			if (m>2 && pDoc->y[i] < pDoc->y[i-1])
			{
				r = pDoc->y[i];
				s = pDoc->y[i-1];
				q = -k*pDoc->x[i-1];

				for (n=s; n>r; n--)
				{
					p = k*(n);

					pDC->SelectObject(filo);
					pDC->SelectObject(herram);

					or1=pDoc->XPos+p;
					or2=pDoc->YPos+q;
					or2y = 420-pDoc->YPos-q;
		
					POINT Vert[]={{or1,or2},{or1-a,or2-(tan(alfa*pi/180)*a)},{or1-a,or2-H},{or1+y-a,or2-H},{or1+y-a,or2-(tan(beta*pi/180)*(y-a))}};
					pDC->Polygon (Vert,5);

					pDC->SelectObject(lapizNar);
					pDC->SelectObject(nclaro);
					POINT Porta[]={{or1-a-10,or2-H},{or1-a+270,or2-H},{or1-a+280,or2-H-10},{or1-a+280,or2-H-510},{or1-a+270,or2-H-520},{or1-a-10,or2-H-520},{or1-a-20,or2-H-510},{or1-a-20,or2-H-10}};
					pDC->Polygon(Porta,8);
					pDC->SelectObject(nint);
					pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
					pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
					pDC->SelectObject(nobsc);
					pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
					pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
					pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
					pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);

					for(j=0; j<v; j++);

					pDC->SelectObject(lapiz2);
					pDC->SelectObject(borrar);

					POINT VertUP[]={{or1,or2y},{or1+y-a,or2y+(tan(beta*pi/180)*(y-a))},{or1+y-a,or2y+H},{or1-a,or2y+H},{or1-a,or2y+(tan(alfa*pi/180)*a)}};
					pDC->Polygon (Vert,5);
					pDC->Polygon(Porta,8);
					pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
					pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
					pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
					pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
					pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
					pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);
					pDC->Polygon (VertUP,5);

				}
			continue;
			}

		}
		
		// 5.1 CUCHILLA
		pDC->SelectObject(filo);
		pDC->SelectObject(herram);
		POINT Vert[]={{or1,or2},{or1-a,or2-(tan(alfa*pi/180)*a)},{or1-a,or2-H},{or1+y-a,or2-H},{or1+y-a,or2-(tan(beta*pi/180)*(y-a))}};
		pDC->Polygon (Vert,5);

		// 5.2 PORTAHERRAMIENTA F(CUCHILLA)
		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nclaro);
		POINT Porta[]={{or1-a-10,or2-H},{or1-a+270,or2-H},{or1-a+280,or2-H-10},{or1-a+280,or2-H-510},{or1-a+270,or2-H-520},{or1-a-10,or2-H-520},{or1-a-20,or2-H-510},{or1-a-20,or2-H-10}};
		pDC->Polygon(Porta,8);
		pDC->SelectObject(nint);
		pDC->Ellipse(or1-a+20,or2-H-60,or1-a+100,or2-H-140);
		pDC->Ellipse(or1-a+20,or2-H-380,or1-a+100,or2-H-460);
		pDC->SelectObject(nobsc);
		pDC->Ellipse(or1-a+35,or2-H-75,or1-a+85,or2-H-125);
		pDC->Ellipse(or1-a+35,or2-H-395,or1-a+85,or2-H-445);
		pDC->Ellipse(or1-a+140,or2-H-60,or1-a+240,or2-H-160);
		pDC->Ellipse(or1-a+140,or2-H-360,or1-a+240,or2-H-460);

		delete (lapizAzul);
		delete (lapizNar);
		delete (lapiz2);
		delete (filo);
		delete (aobsc);
		delete (nclaro);
		delete (nint);
		delete (nobsc);
		delete (borrar);
		delete (herram);
	}

	/// ADVERTENCIAS
	if (pDoc->torno==1 && pDoc->simular==1 && pDoc->cargarTor==0 && pDoc->cuchilla==0 && pDoc->broca==0)
	{
		MessageBox("\nCargue el tocho y la cuchilla\n\n", "Advertencia", MB_OK);
		pDoc->simular=0;
	}
	if (pDoc->simular==1 && pDoc->cuchilla==0 && pDoc->cargarTor==1)
	{
		MessageBox("\nCargue la cuchilla\n\n", "Advertencia", MB_OK);
		pDoc->simular=0;
	}
	if (pDoc->simular==1 && pDoc->cuchilla==1 && pDoc->cargarTor==0)
	{
		MessageBox("\nCargue el tocho\n\n", "Advertencia", MB_OK);
		pDoc->simular=0;
	}

	if (pDoc->torno==1 && pDoc->broca==1)
	{
		MessageBox("\nCargue la cuchilla como herramienta\n\n", "Advertencia", MB_OK);
		pDoc->broca=0;
	}
	if (pDoc->torno==1 && pDoc->cargarFre==1)
	{
		MessageBox("\nNo se puede cargar el tocho en la fresa\n\n", "Advertencia", MB_OK);
		pDoc->cargarFre=0;
	}


////////////////////////////////// F R E S A /////////////////////////////////////////////////////////
	if (pDoc->fresa==1)
	{
		pDC->SetViewportOrg(rectClient.right / 1.5, rectClient.bottom / 1.5);

		// 7.1 TITULO
		pDC->TextOut(-400, 1000, "F R E S A");

		// 7.2 COORDENADAS
		lapiz=new CPen(PS_SOLID,0,RGB(35,65,170));
		pincel=new CBrush(RGB(220,230,250));
		pDC->SelectObject(lapiz);
		pDC->SelectObject(pincel);
		pDC->RoundRect(100, 950, 550, 600, 50, 50);
		pDC->TextOut(200, 900, " Coordenadas ");
		pDC->TextOut(200, 800, " X = ");
		pDC->TextOut(200, 750, " Y = ");
		pDC->TextOut(200, 700, " Z = ");
		delete (lapiz);
		delete (pincel);

		// REGLETA
		lapizReg=new CPen(PS_SOLID,3,RGB(255,32,32));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));

		for (int rta=0;rta<50;rta++)
		{
			pDC->SelectObject(lapizReg);
			pDC->MoveTo(-1230,10*rta);
			pDC->LineTo (-1250,10*rta);
			pDC->MoveTo(-1230,-10*rta);
			pDC->LineTo (-1250,-10*rta);
		}

		for (rta=0;rta<6;rta++)
		{
			pDC->SelectObject(lapizNar);
			pDC->MoveTo(-1230,100*rta);
			pDC->LineTo (-1280,100*rta);
			pDC->MoveTo(-1230,-100*rta);
			pDC->LineTo (-1280,-100*rta);
		}
		
		pDC->TextOut (-1300,-480,"-5");
		pDC->TextOut (-1300,-380,"-4");
		pDC->TextOut (-1300,-280,"-3");
		pDC->TextOut (-1300,-180,"-2");
		pDC->TextOut (-1300,-80,"-1");
		pDC->TextOut (-1300,20,"0");
		pDC->TextOut (-1300,520,"5");
		pDC->TextOut (-1300,420,"4");
		pDC->TextOut (-1300,320,"3");
		pDC->TextOut (-1300,220,"2");
		pDC->TextOut (-1300,120,"1");

		delete (lapizNar);
		delete (lapizReg);

	}

	if (pDoc->fresa==1 && pDoc->cargarFre==0 && pDoc->broca==0  && pDoc->simular==0)
	{
		pDC->SetViewportOrg(rectClient.right / 1.5, rectClient.bottom / 1.5);

		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));

		aclaro=new CBrush(RGB(191,191,223));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nobsc=new CBrush(HS_DIAGCROSS,RGB(255,160,70));
		

		// 8.1 TENAZAS
		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aclaro);
		POINT AjustI[]={{-400,390},{-500,390},{-500,360},{-570,360},{-570,280},{-500,280},{-500,-280},{-570,-280},{-570,-360},{-500,-360},{-500,-390},{-400,-390}};
		pDC->Polygon(AjustI,12);
		pDC->SelectObject(aobsc);
		pDC->Rectangle(-400,150,-420,-150);
		pDC->Rectangle(-440,390,-510,-390);
		pDC->Ellipse(-450,15,-480,-15);
		
		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aclaro);
		POINT AjustD[]={{400,390},{500,390},{500,360},{570,360},{570,280},{500,280},{500,-280},{570,-280},{570,-360},{500,-360},{500,-390},{400,-390}};
		pDC->Polygon(AjustD,12);
		pDC->SelectObject(aobsc);
		pDC->Rectangle(400,150,420,-150);
		pDC->Rectangle(440,390,510,-390);
		pDC->Ellipse(450,15,480,-15);
		
		// 8.2 PORTABROCAS
		int orA, orB;
		orA=-1000;
		orB=880;
		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nclaro);
		pDC->Rectangle(orA-185,orB,orA+185,orB-400);
		pDC->SelectObject(nobsc);
		pDC->Rectangle(orA-115,orB-400,orA+115,orB-560);
		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aclaro);
		pDC->Rectangle(orA-170,orB-560,orA+170,orB-600);
		pDC->Rectangle(orA-40,orB-710,orA+40,orB-880);
		pDC->SelectObject(aobsc);
		pDC->Rectangle(orA-170,orB-600,orA+170,orB-710);

		delete (lapizAzul);
		delete (lapizNar);
		delete (aclaro);
		delete (aobsc);
		delete (nclaro);
		delete (nobsc);
		
	}

	if (pDoc->fresa==1 && pDoc->cargarFre==1)
	{
		pDC->SetViewportOrg(rectClient.right / 1.5, rectClient.bottom / 1.5);

		// 4.1 ESCOGE MATERIAL
		if (pDoc->materialf == 0)
		{
			pincel=new CBrush(RGB(145, 145, 145));
			lapiz=new CPen(PS_SOLID,0,RGB(145, 145, 145));
		}
		if ( pDoc->materialf == 1)
		{
			pincel=new CBrush(RGB(185, 185, 185));
			lapiz=new CPen(PS_SOLID,0,RGB(185, 185, 185));
		}
		if (pDoc->materialf == 2)
		{
			pincel=new CBrush(RGB(206,177,80));
			lapiz=new CPen(PS_SOLID,0,RGB(206,177,80));
		}
		if (pDoc->materialf == 3)
		{
			pincel=new CBrush(RGB(205,105,5));
			lapiz=new CPen(PS_SOLID,0,RGB(205,105,5));
		}
		if (pDoc->materialf == 4)
		{
			pincel=new CBrush(RGB(177, 203, 222));
			lapiz=new CPen(PS_SOLID,0,RGB(177, 203, 222));
		}

		// 9.1 TOCHO f(MATERIAL)
		pDC->SelectObject(pincel);
		pDC->SelectObject(lapiz);
		pDC->Rectangle(5*pDoc->largof,5*pDoc->anchof,-5*pDoc->largof,-5*pDoc->anchof);//Medir las coordenadas reales con el CADTECH
		delete (pincel);
		delete (lapiz);

		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));
		aclaro=new CBrush(RGB(191,191,223));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nobsc=new CBrush(HS_DIAGCROSS,RGB(255,160,70));
		filo=new CPen(PS_SOLID,0,RGB(10,89,42));
		herram=new CBrush(RGB(70,235,135));

		// 9.2 TENAZAS f(TOCHO)
		long c;
		c = 5*pDoc->largof;

		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aclaro);
		POINT AjustI[]={{-c,390},{-c-100,390},{-c-100,360},{-c-170,360},{-c-170,280},{-c-100,280},{-c-100,-280},{-c-170,-280},{-c-170,-360},{-c-100,-360},{-c-100,-390},{-c,-390}};
		pDC->Polygon(AjustI,12);
		pDC->SelectObject(aobsc);
		pDC->Rectangle(-c,150,-c-20,-150);
		pDC->Rectangle(-c-40,390,-c-110,-390);
		pDC->Ellipse(-c-50,15,-c-80,-15);

		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aclaro);
		POINT AjustD[]={{c,390},{c+100,390},{c+100,360},{c+170,360},{c+170,280},{c+100,280},{c+100,-280},{c+170,-280},{c+170,-360},{c+100,-360},{c+100,-390},{c,-390}};
		pDC->Polygon(AjustD,12);
		pDC->SelectObject(aobsc);
		pDC->Rectangle(c,150,c+20,-150);
		pDC->Rectangle(c+40,390,c+110,-390);
		pDC->Ellipse(c+50,15,c+80,-15);

		if (pDoc->broca==0)
		{
			// 8.2 PORTABROCAS
			int orA, orB;
			orA=-1000;
			orB=880;
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nclaro);
			pDC->Rectangle(orA-185,orB,orA+185,orB-400);
			pDC->SelectObject(nobsc);
			pDC->Rectangle(orA-115,orB-400,orA+115,orB-560);
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aclaro);
			pDC->Rectangle(orA-170,orB-560,orA+170,orB-600);
			pDC->Rectangle(orA-40,orB-710,orA+40,orB-880);
			pDC->SelectObject(aobsc);
			pDC->Rectangle(orA-170,orB-600,orA+170,orB-710);	
		} 

		if (pDoc->broca==1)
		{
			// 10.1 BROCA
			pDC->SelectObject(filo);
			pDC->SelectObject(herram);
			pDC->Ellipse(-5*pDoc->diamBro, 5*pDoc->diamBro, 5*pDoc->diamBro, -5*pDoc->diamBro);

			// 10.2 PORTABROCA f(BROCA)
			int orA, orB;
			orA=-1000;
			orB=880+10*pDoc->larBro;
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nclaro);
			pDC->Rectangle(orA-185,orB,orA+185,orB-400);
			pDC->SelectObject(nobsc);
			pDC->Rectangle(orA-115,orB-400,orA+115,orB-560);
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aclaro);
			pDC->Rectangle(orA-170,orB-560,orA+170,orB-600);
			pDC->Rectangle(orA-40,orB-710,orA+40,orB-880);
			pDC->SelectObject(aobsc);
			pDC->Rectangle(orA-170,orB-600,orA+170,orB-710);

			pDC->SelectObject(filo);
			pDC->SelectObject(herram);
			pDC->Rectangle(-1000-5*pDoc->diamBro,orB-880,-1000+5*pDoc->diamBro,orB-880-10*pDoc->larBro);
		}
		delete (lapizAzul);
		delete (lapizNar);
		delete (filo);
		delete (aclaro);
		delete (aobsc);
		delete (nclaro);
		delete (nobsc);
		delete (herram);
	}

	if (pDoc->fresa==1 && pDoc->broca==1)
	{
		pDC->SetViewportOrg(rectClient.right / 1.5, rectClient.bottom / 1.5);

		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));
		aclaro=new CBrush(RGB(191,191,223));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nobsc=new CBrush(HS_DIAGCROSS,RGB(255,160,70));
		filo=new CPen(PS_SOLID,0,RGB(10,89,42));
		herram=new CBrush(RGB(70,235,135));

		// 10.1 BROCA
		pDC->SelectObject(filo);
		pDC->SelectObject(herram);
		pDC->Ellipse(-5*pDoc->diamBro, 5*pDoc->diamBro, 5*pDoc->diamBro, -5*pDoc->diamBro);
	
		// 10.2 PORTABROCA f(BROCA)
		
		int orA, orB;
		orA=-1000;
		orB=880+10*pDoc->larBro;
		pDC->SelectObject(lapizNar);
		pDC->SelectObject(nclaro);
		pDC->Rectangle(orA-185,orB,orA+185,orB-400);
		pDC->SelectObject(nobsc);
		pDC->Rectangle(orA-115,orB-400,orA+115,orB-560);
		pDC->SelectObject(lapizAzul);
		pDC->SelectObject(aclaro);
		pDC->Rectangle(orA-170,orB-560,orA+170,orB-600);
		pDC->Rectangle(orA-40,orB-710,orA+40,orB-880);
		pDC->SelectObject(aobsc);
		pDC->Rectangle(orA-170,orB-600,orA+170,orB-710);

		pDC->SelectObject(filo);
		pDC->SelectObject(herram);
		pDC->Rectangle(-1000-5*pDoc->diamBro,orB-880,-1000+5*pDoc->diamBro,orB-880-10*pDoc->larBro);

		if (pDoc->cargarFre==0)
		{
			// 8.1 TENAZAS
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aclaro);
			POINT AjustI[]={{-400,390},{-500,390},{-500,360},{-570,360},{-570,280},{-500,280},{-500,-280},{-570,-280},{-570,-360},{-500,-360},{-500,-390},{-400,-390}};
			pDC->Polygon(AjustI,12);
			pDC->SelectObject(aobsc);
			pDC->Rectangle(-400,150,-420,-150);
			pDC->Rectangle(-440,390,-510,-390);
			pDC->Ellipse(-450,15,-480,-15);
			
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aclaro);
			POINT AjustD[]={{400,390},{500,390},{500,360},{570,360},{570,280},{500,280},{500,-280},{570,-280},{570,-360},{500,-360},{500,-390},{400,-390}};
			pDC->Polygon(AjustD,12);
			pDC->SelectObject(aobsc);
			pDC->Rectangle(400,150,420,-150);
			pDC->Rectangle(440,390,510,-390);
			pDC->Ellipse(450,15,480,-15);
		}

		if (pDoc->cargarFre==1)
		{
			// 4.1 ESCOGE MATERIAL
			if (pDoc->materialf == 0)
			{
				pincel=new CBrush(RGB(145, 145, 145));
				lapiz=new CPen(PS_SOLID,0,RGB(145, 145, 145));
			}
			if ( pDoc->materialf == 1)
			{
				pincel=new CBrush(RGB(185, 185, 185));
				lapiz=new CPen(PS_SOLID,0,RGB(185, 185, 185));
			}
			if (pDoc->materialf == 2)
			{
				pincel=new CBrush(RGB(206,177,80));
				lapiz=new CPen(PS_SOLID,0,RGB(206,177,80));
			}
			if (pDoc->materialf == 3)
			{
				pincel=new CBrush(RGB(205,105,5));
				lapiz=new CPen(PS_SOLID,0,RGB(205,105,5));
			}
			if (pDoc->materialf == 4)
			{
				pincel=new CBrush(RGB(177, 203, 222));
				lapiz=new CPen(PS_SOLID,0,RGB(177, 203, 222));
			}

			// 9.1 TOCHO f(MATERIAL)
			pDC->SelectObject(pincel);
			pDC->SelectObject(lapiz);
			pDC->Rectangle(10*pDoc->largof/2,10*pDoc->anchof/2,-10*pDoc->largof/2,-10*pDoc->anchof/2);//Medir las coordenadas reales con el CADTECH
			delete (pincel);
			delete (lapiz);

			// 9.2 TENAZAS f(TOCHO)
			long c;
			c = 5*pDoc->largof;

			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aclaro);
			POINT AjustI[]={{-c,390},{-c-100,390},{-c-100,360},{-c-170,360},{-c-170,280},{-c-100,280},{-c-100,-280},{-c-170,-280},{-c-170,-360},{-c-100,-360},{-c-100,-390},{-c,-390}};
			pDC->Polygon(AjustI,12);
			pDC->SelectObject(aobsc);
			pDC->Rectangle(-c,150,-c-20,-150);
			pDC->Rectangle(-c-40,390,-c-110,-390);
			pDC->Ellipse(-c-50,15,-c-80,-15);

			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aclaro);
			POINT AjustD[]={{c,390},{c+100,390},{c+100,360},{c+170,360},{c+170,280},{c+100,280},{c+100,-280},{c+170,-280},{c+170,-360},{c+100,-360},{c+100,-390},{c,-390}};
			pDC->Polygon(AjustD,12);
			pDC->SelectObject(aobsc);
			pDC->Rectangle(c,150,c+20,-150);
			pDC->Rectangle(c+40,390,c+110,-390);
			pDC->Ellipse(c+50,15,c+80,-15);
		}

		delete (lapizAzul);
		delete (lapizNar);
		delete (filo);
		delete (aclaro);
		delete (aobsc);
		delete (nclaro);
		delete (nobsc);
		delete (herram);
	}

	/// SIMULAR
	if (pDoc->presentar==1 && pDoc->fresa==1 && pDoc->cargarFre==1 && pDoc->broca==1 && pDoc->simular==1)
	{
		pDC->SetViewportOrg(rectClient.right / 1.5, rectClient.bottom / 1.5);

		lapizAzul=new CPen(PS_SOLID,0,RGB(78,78,156));
		lapizNar=new CPen(PS_SOLID,0,RGB(176,92,0));
		aclaro=new CBrush(RGB(191,191,223));
		aobsc=new CBrush(RGB(157,157,205));
		nclaro=new CBrush(RGB(255,180,100));
		nobsc=new CBrush(HS_DIAGCROSS,RGB(255,160,70));
		lapiz2=new CPen(PS_SOLID,0,RGB(255,255,255));
		filo=new CPen(PS_SOLID,0,RGB(10,89,42));
		herram=new CBrush(RGB(70,235,135));
		borrarbroca=new CBrush(RGB(255,255,255));
		borrarfilo=new CPen(PS_SOLID,0,RGB(255,255,255));
		

		if (pDoc->materialf == 0)
		{
			borrar=new CBrush(RGB(200,200,200));
		}
		if ( pDoc->materialf == 1)
		{
			borrar=new CBrush(RGB(230,230,230));
			}
		if (pDoc->materialf == 2)
		{
			borrar=new CBrush(RGB(245,220,145));
		}
		if (pDoc->materialf == 3)
		{
			borrar=new CBrush(RGB(250,170,95));
		}
		if (pDoc->materialf == 4)
		{
			borrar=new CBrush(RGB(220,230,240));
		}

		if (pDoc->Inicio==1)
		{
			MessageBox("Bienvenido","Inicio del Programa",MB_OK);
		}

		long p, q;
		int i, j, k = 10, v, xa;
		long c = 5*pDoc->largof;
		char charxf[10], charyf[10], charzf[10];
		v=1000000;
		
		switch (pDoc->velocidad)
		{
			case 0:
				v=5000000;
			break;
			case 1:
				v=1000000;
			break;
			case 2:
				v=500000;
			break;
		}

		for(i=1; i<pDoc->nl;i++)
		{
			sprintf(charxf, "%0.3f",pDoc->x[i]); 
			sprintf(charyf, "%0.3f",pDoc->y[i]);
			sprintf(charzf, "%0.3f",pDoc->z[i]);
			pDC->TextOut(300, 800, charxf);
			pDC->TextOut(300, 750, charyf);
			pDC->TextOut(300, 700, charzf);

			m = abs(pDoc->y[i]-pDoc->y[i-1]);
			xa = abs(abs(pDoc->x[i]) - abs(pDoc->x[i-1]));

	// pinta portabrocas en la simulacin
			
			int orA, orB;
			orA=-1000;
			orB=880+10*pDoc->larBro+10*pDoc->z[i];
			pDC->SelectObject(lapizNar);
			pDC->SelectObject(nclaro);
			pDC->Rectangle(orA-185,orB,orA+185,orB-400);
			pDC->SelectObject(nobsc);
			pDC->Rectangle(orA-115,orB-400,orA+115,orB-560);
			pDC->SelectObject(lapizAzul);
			pDC->SelectObject(aclaro);
			pDC->Rectangle(orA-170,orB-560,orA+170,orB-600);
			pDC->Rectangle(orA-40,orB-710,orA+40,orB-880);
			pDC->SelectObject(aobsc);
			pDC->Rectangle(orA-170,orB-600,orA+170,orB-710);

			pDC->SelectObject(herram);
			pDC->SelectObject(filo);
			pDC->Rectangle(-1000-5*pDoc->diamBro,orB-880,-1000+5*pDoc->diamBro,orB-880-10*pDoc->larBro);

			for(j=0; j<v; j++);

			if (i>1 && i<pDoc->nl-1)// borra portabrocas en la simulacin
			{
				pDC->SelectObject(borrarbroca);
				pDC->SelectObject(borrarfilo);
				
				orA=-1000;
				orB=880+10*pDoc->larBro+10*pDoc->z[i];
				pDC->Rectangle(orA-185,orB,orA+185,orB-400);
				pDC->Rectangle(orA-115,orB-400,orA+115,orB-560);
				pDC->Rectangle(orA-170,orB-560,orA+170,orB-600);
				pDC->Rectangle(orA-40,orB-710,orA+40,orB-880);
				pDC->Rectangle(orA-170,orB-600,orA+170,orB-710);

				pDC->Rectangle(-1000-5*pDoc->diamBro,orB-880,-1000+5*pDoc->diamBro,orB-880-10*pDoc->larBro);
			}

			if (m <= 2 || xa>0.05)
			{
				p = k*pDoc->x[i-1];
				q = k*pDoc->y[i-1];

				pDC->SelectObject(filo);
				pDC->SelectObject(herram);
				pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);
				
				for(j=0; j<v; j++);

				pDC->SelectObject(lapiz2);
				pDC->SelectObject(borrar);

				pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);


				p = k*pDoc->x[i];
				q = k*pDoc->y[i];

				pDC->SelectObject(filo);
				pDC->SelectObject(herram);
				pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);

				for(j=0; j<v; j++);

				pDC->SelectObject(lapiz2);
				pDC->SelectObject(borrar);

				pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);

				continue;
			}
		
			if (m>2 && pDoc->y[i] > pDoc->y[i-1])
			{
				r = pDoc->x[i];
				s = pDoc->x[i-1];
				q = k*pDoc->y[i-1];

				for (n=s; n<r; n++)
				{
					p = k*(n);
					
					pDC->SelectObject(filo);
					pDC->SelectObject(herram);
					pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);


					for(j=0; j<v; j++);

					pDC->SelectObject(lapiz2);
					pDC->SelectObject(borrar);

					pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);
				}
			continue;
			}

			if (m>2 && pDoc->y[i] < pDoc->y[i-1])
			{
				r = pDoc->x[i];
				s = pDoc->x[i-1];
				q = k*pDoc->y[i-1];

				for (n=s; n>r; n--)
				{
					p = k*(n);
					
					pDC->SelectObject(filo);
					pDC->SelectObject(herram);
					pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);


					for(j=0; j<v; j++);

					pDC->SelectObject(lapiz2);
					pDC->SelectObject(borrar);

					pDC->Ellipse(p-5*pDoc->diamBro,q+5*pDoc->diamBro,p+5*pDoc->diamBro,q-5*pDoc->diamBro);
				}
			continue;
			}

		}
		delete (lapizAzul);
		delete (lapizNar);
		delete (lapiz2);
		delete (filo);
		delete (aclaro);
		delete (aobsc);
		delete (nclaro);
		delete (nobsc);
		delete (borrar);
		delete (herram);
		delete (borrarbroca);
		delete (borrarfilo);
	}

	/// ADVERTENCIAS
	if (pDoc->presentar==0 && (pDoc->cargarTor==1 || pDoc->cargarFre==1 || pDoc->cuchilla==1 || pDoc->broca==1 || pDoc->simular==1))
	{
		MessageBox("\nCargue el Cdigo G\n\n","Advertencia",MB_OK);
		pDoc->cargarTor=0, pDoc->cargarFre=0, pDoc->cuchilla=0, pDoc->broca=0, pDoc->simular=0;
	}
	if (pDoc->fresa==1 && pDoc->simular==1 && pDoc->cargarFre==0 && pDoc->broca==0 && pDoc->cuchilla==0)
	{
		MessageBox("\nCargue el tocho y la broca\n\n", "Advertencia", MB_OK);
		pDoc->simular=0;
	}
	if (pDoc->simular==1 && pDoc->broca==0 && pDoc->cargarFre==1)
	{
		MessageBox("\nCargue la broca\n\n", "Advertencia", MB_OK);
		pDoc->simular=0;
	}
	if (pDoc->simular==1 && pDoc->cargarFre==0 && pDoc->broca==1)
	{
		MessageBox("\nCargue el tocho\n\n", "Advertencia", MB_OK);
		pDoc->simular=0;
	}
	if (pDoc->fresa==1 && pDoc->cuchilla==1)
	{
		MessageBox("\n\nCargue la broca como herramienta\n\n", "Advertencia", MB_OK);
		pDoc->cuchilla=0;
	}
	if (pDoc->fresa==1 && pDoc->cargarTor==1)
	{
		MessageBox("\n\nNo se puede cargar el tocho en el torno\n\n", "Advertencia", MB_OK);
		pDoc->cargarTor=0;
	}

//	inicio = 1; //Badera que indica inicio del programa
}

/////////////////////////////////////////////////////////////////////////////
// CGraficoView diagnostics

#ifdef _DEBUG
void CGraficoView::AssertValid() const
{
	CScrollView::AssertValid();
}

void CGraficoView::Dump(CDumpContext& dc) const
{
	CScrollView::Dump(dc);
}

CProgramaDoc* CGraficoView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CProgramaDoc)));
	return (CProgramaDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CGraficoView message handlers


